### Method

# PangoFc.FontMap.find_decoder

#### Declaration [src]

    PangoFcDecoder*
    pango_fc_font_map_find_decoder (
      PangoFcFontMap* fcfontmap,
      FcPattern* pattern
    )

#### Description [src]

Finds the decoder to use for `pattern`.

Decoders can be added to a font map using `pango_fc_font_map_add_decoder_find_func()`.

#### Parameters

`pattern` | `FcPattern*`
| The `FcPattern` to find the decoder for.
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoFcDecoder`
a newly created `PangoFcDecoder` object or `NULL` if no decoder is set for `pattern`.
Ownership of the data is transferred to the caller
Can be `NULL`